<html>
<head>
<title>Ogre::NumericSolver Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1NumericSolver.html">NumericSolver</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::NumericSolver Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::NumericSolver" -->
<p>Provides numeric solvers for <a class="el" href="namespaceOgre.html">Ogre</a>.  
 <a href="classOgre_1_1NumericSolver.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreNumerics_8h_source.html">OgreNumerics.h</a>&gt;</code></p>

<p><a href="classOgre_1_1NumericSolver-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericSolver.html#aa88c45c0ad94315e32e3632324a0e15c">solveNxNLinearSysDestr</a> (int n, <a class="el" href="group__Math.html#ga006856a8eae8ec29bf45365bbd67ea46">PreciseReal</a> **coeff, <a class="el" href="group__Math.html#ga006856a8eae8ec29bf45365bbd67ea46">PreciseReal</a> *col)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Solves a full rank NxN linear system of equations.  <a href="#aa88c45c0ad94315e32e3632324a0e15c"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Provides numeric solvers for <a class="el" href="namespaceOgre.html">Ogre</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Handles linear algebra numerics. </dd></dl>

<p>Definition at line <a class="el" href="OgreNumerics_8h_source.html#l00051">51</a> of file <a class="el" href="OgreNumerics_8h_source.html">OgreNumerics.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aa88c45c0ad94315e32e3632324a0e15c"></a><!-- doxytag: member="Ogre::NumericSolver::solveNxNLinearSysDestr" ref="aa88c45c0ad94315e32e3632324a0e15c" args="(int n, PreciseReal **coeff, PreciseReal *col)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static bool <a class="el" href="classOgre_1_1NumericSolver.html#aa88c45c0ad94315e32e3632324a0e15c">Ogre::NumericSolver::solveNxNLinearSysDestr</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>n</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Math.html#ga006856a8eae8ec29bf45365bbd67ea46">PreciseReal</a> **&#160;</td>
          <td class="paramname"><em>coeff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__Math.html#ga006856a8eae8ec29bf45365bbd67ea46">PreciseReal</a> *&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Solves a full rank NxN linear system of equations. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This implements a naive Gaussian elimination algorithm. The algorithm is destructive, so there are side effects in coeff and col. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreNumerics_8h_source.html">OgreNumerics.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:00
</p>
</body>
</html>
